Package com.treemap

# Class DefaultTreeMapSettings<N,Column,Color,Font>

java.lang.Object
com.treemap.AbstractTreeMapSettings<N,Column,Color,Font>
com.treemap.DefaultTreeMapSettings<N,Column,Color,Font>

All Implemented Interfaces:
  `TreeMapSettings<N,Column,Color,Font>`

public class DefaultTreeMapSettings<N,Column,Color,Font> extends AbstractTreeMapSettings<N,Column,Color,Font>
Default implementation of the TreeMapSettings interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.TreeMapSettings

  `TreeMapSettings.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_background`
  `protected MutableProperty<Depth>`
  `_depth`
  `protected final AbstractTreeMapModel`
  `_model`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_probingColor`
  `protected MutableProperty<Rendering>`
  `_rendering`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_selectionColor`
  `protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `_tooltipBackground`
  `protected MutableProperty<TreeMapField>`
  `backgroundField`
  `protected final MutableSingleSelection<TreeMapField>`
  `backgroundVariable`
  `protected MutableProperty<TreeMapField>`
  `colorField`
  `protected final MutableSingleSelection<TreeMapField>`
  `colorVariable`
  `protected final MutableSingleSelection<Depth>`
  `depth`
  `protected MutableProperty<TreeMapField[]>`
  `groupByFields`
  `protected final MutableSelection<TreeMapField>`
  `groupByVariables`
  `protected MutableProperty<TreeMapField>`
  `heightField`
  `protected final MutableSingleSelection<TreeMapField>`
  `heightVariable`
  `protected MutableProperty<Boolean>`
  `hideFilterResults`
  `protected MutableProperty<Boolean>`
  `hideSearchResults`
  `protected final MutableProperty<Double>`
  `ightSourceHeight`
  `protected MutableProperty<TreeMapField[]>`
  `labelsFields`
  `protected final MutableSelection<TreeMapField>`
  `labelVariable`
  `protected final MutableProperty<Double>`
  `lightSourceAmbient`
  `protected final MutableBoundedInterval`
  `lightSourceAmbientInterval`
  `protected final MutableBoundedInterval`
  `lightSourceHeightInterval`
  `protected final MutableProperty<Double>`
  `lightSourceX`
  `protected final MutableBoundedInterval`
  `lightSourceXInterval`
  `protected final MutableProperty<Double>`
  `lightSourceY`
  `protected final MutableBoundedInterval`
  `lightSourceYInterval`
  `protected final MutableProperty<Double>`
  `lightSourceZ`
  `protected final MutableBoundedInterval`
  `lightSourceZInterval`
  `protected final MutableProperty<Double>`
  `maximumHeight`
  `protected final MutableBoundedInterval`
  `maximumHeightInterval`
  `protected final MutableSingleSelection<TreeMapView.Progressive>`
  `progressive`
  `protected final MutableSingleSelection<Rendering>`
  `rendering`
  `protected MutableProperty<TreeMapField>`
  `sizeField`
  `protected final MutableSingleSelection<TreeMapField>`
  `sizeVariable`
  `protected MutableProperty<TreeMapField[]>`
  `toolTipFields`
  `protected final MutableSelection<TreeMapField>`
  `toolTipVariable`

  ### Fields inherited from interface com.treemap.TreeMapSettings

  `PROPERTY_BACKGROUND, PROPERTY_BACKGROUND_FIELD, PROPERTY_COLOR_FIELD, PROPERTY_DEPTH, PROPERTY_DIMENSION, PROPERTY_DIMENSION_FIXED, PROPERTY_GROUP_BY_FIELD, PROPERTY_HEIGHT_FIELD, PROPERTY_HIDE_FILTER_RESULTS, PROPERTY_HIDE_SEARCH_RESULTS, PROPERTY_LABELS_FIELD, PROPERTY_LIGHT_SOURCE_AMBIENT, PROPERTY_LIGHT_SOURCE_HEIGHT, PROPERTY_LIGHT_SOURCE_X, PROPERTY_LIGHT_SOURCE_Y, PROPERTY_LIGHT_SOURCE_Z, PROPERTY_MAXIMUM_HEIGHT, PROPERTY_PROBING_COLOR, PROPERTY_RENDERING, PROPERTY_SELECTION_COLOR, PROPERTY_SIZE_FIELD, PROPERTY_TOOLTIP_BACKGROUND, PROPERTY_TOOLTIP_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreeMapSettings(AbstractTreeMapModel model, com.macrofocus.igraphics.CPColorFactory<Color> colorFactory, com.macrofocus.igraphics.CPFontFactory<Font> fontFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TreeMapFieldSettings<Color,Font>`
  `createDefaultTreeMapFieldSettings()`
  `protected TreeMapFieldSettings<Color,Font>`
  `createOverridingTreeMapFieldSettings(TreeMapFieldSettings<Color,Font> defaultSettings, TreeMapModel model, TreeMapField field)`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getBackground()`
  Returns the background color to use for drawing the treemap.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getBackgroundProperty()`
  Returns the background color to use for drawing the treemap.
  `TreeMapField<N,Column>`
  `getBackgroundTreeMapField()`
  Gets the model used to hold the field used to display the background label.
  `MutableSingleSelection<TreeMapField>`
  `getBackgroundVariableSelection()`
  `TreeMapField<N,Column>`
  `getColorTreeMapField()`
  Gets the model used to hold the field used to represent the color.
  `MutableSingleSelection<TreeMapField>`
  `getColorVariableSelection()`
  `TreeMapFieldSettings<Color,Font>`
  `getDefaultFieldSettings()`
  `Depth`
  `getDepth()`
  Returns the depth to use to lay out the treemap.
  `MutableSingleSelection<Depth>`
  `getDepthSelection()`
  `Dimension`
  `getDimension()`
  Gets the size of the treemap.
  `Boolean`
  `getDimensionFixed()`
  `TreeMapFieldSettings<Color,Font>`
  `getFieldSettings(TreeMapField field)`
  `TreeMapField[]`
  `getGroupByTreeMapFields()`
  Gets the model used to hold the list of fields to be use for grouping.
  `MutableSelection<TreeMapField>`
  `getGroupByVariablesSelection()`
  `TreeMapField<N,Column>`
  `getHeightTreeMapField()`
  Gets the model used to hold the field used to represent the height.
  `MutableSingleSelection<TreeMapField>`
  `getHeightVariableSelection()`
  `MutableProperty<Boolean>`
  `getHideFilterResultsSelection()`
  `MutableProperty<Boolean>`
  `getHideSearchResultsSelection()`
  `TreeMapField<N,Column>[]`
  `getLabelTreeMapFields()`
  Gets the model used to hold the list of fields to be use for labeling.
  `MutableSelection<TreeMapField>`
  `getLabelVariablesSelection()`
  `double`
  `getLightSourceAmbient()`
  Returns the light source ambient intensity used for drawing the cushions.
  `MutableBoundedInterval`
  `getLightSourceAmbientInterval()`
  `double`
  `getLightSourceHeight()`
  Returns the light source height used for drawing the cushions.
  `MutableBoundedInterval`
  `getLightSourceHeightInterval()`
  `double`
  `getLightSourceX()`
  Returns the light source X position used for drawing the cushions.
  `MutableBoundedInterval`
  `getLightSourceXInterval()`
  `double`
  `getLightSourceY()`
  Returns the light source Y position used for drawing the cushions.
  `MutableBoundedInterval`
  `getLightSourceYInterval()`
  `double`
  `getLightSourceZ()`
  Returns the light source Z position used for drawing the cushions.
  `MutableBoundedInterval`
  `getLightSourceZInterval()`
  `double`
  `getMaximumHeight()`
  Gets the maximum height.
  `MutableBoundedInterval`
  `getMaximumHeightInterval()`
  Gets the model indicating the maximum height.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getProbingColor()`
  Returns the color to use for drawing the borders.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getProbingColorProperty()`
  Returns the color to use for drawing the borders.
  `TreeMapView.Progressive`
  `getProgressive()`
  `MutableSingleSelection<TreeMapView.Progressive>`
  `getProgressiveSelection()`
  `MutableProperties<String>`
  `getProperties()`
  `Rendering`
  `getRendering()`
  Returns the rendering scheme to use to draw the treemap.
  `MutableSingleSelection<Rendering>`
  `getRenderingSelection()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getSelectionColor()`
  Returns the color to use for drawing the borders.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getSelectionColorProperty()`
  Returns the color to use for drawing the borders.
  `boolean`
  `getShowPopup(TreeMapField field)`
  Tells whether the specified field should be shown in the popup.
  `TreeMapField<N,Column>`
  `getSizeTreeMapField()`
  Gets the model used to hold the field used to represent the size.
  `MutableSingleSelection<TreeMapField>`
  `getSizeVariableSelection()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getTooltipBackground()`
  Returns the background color to use for drawing the tooltips.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getTooltipBackgroundProperty()`
  Returns the background color to use for drawing the tooltips.
  `TreeMapField<N,Column>[]`
  `getToolTipTreeMapFields()`
  Gets the model used to hold the list of fields to be use by the tooltip.
  `MutableSelection<TreeMapField>`
  `getTooltipVariablesSelection()`
  `Object`
  `getValue(String key)`
  Gets the value of the specified property.
  `Boolean`
  `isHideFilterResults()`
  Gets the model used to indicate whether filtered nodes should be hidden.
  `Boolean`
  `isHideSearchResults()`
  Gets the model used to indicate whether nodes that do not match the search criteria should be hidden.
  `void`
  `resetToDefaults()`
  `void`
  `save(com.macrofocus.molap.dataframe.DataFrame dataFrame, ElementFactory elementFactory, Element root)`
  `void`
  `setBackground(int column)`
  Defines the field to use for background labeling.
  `void`
  `setBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the treemap.
  `void`
  `setBackgroundByName(String columnName)`
  Defines the field to use for background labeling.
  `void`
  `setBackgroundTreeMapField(TreeMapField field)`
  `void`
  `setColor(int column)`
  Defines the field to use for coloring.
  `void`
  `setColorByName(String columnName)`
  Defines the field to use for coloring.
  `void`
  `setColorTreeMapField(TreeMapField field)`
  `void`
  `setDepth(Depth depth)`
  Defines the depth to use to lay out the treemap.
  `void`
  `setDimension(Dimension dimension)`
  Sets the size of the treemap.
  `void`
  `setDimensionFixed(Boolean fixed)`
  `void`
  `setGroupBy(int... columns)`
  Defines the fields to be use for grouping.
  `void`
  `setGroupByByNames(String... columnNames)`
  Defines the fields to be use for grouping.
  `void`
  `setGroupByTreeMapFields(TreeMapField[] fields)`
  `void`
  `setHeight(int column)`
  Defines the field to use for mapping the height.
  `void`
  `setHeightByName(String columnName)`
  Defines the field to use for mapping the height.
  `void`
  `setHeightTreeMapField(TreeMapField field)`
  `void`
  `setHideFilterResults(Boolean hideFilterResults)`
  `void`
  `setHideSearchResults(Boolean hideSearchResults)`
  `void`
  `setLabels(int... columns)`
  Defines the fields to be use for labeling.
  `void`
  `setLabelsByNames(String... columnNames)`
  Defines the fields to be use for labeling.
  `void`
  `setLabelTreeMapFields(TreeMapField<N,Column>[] fields)`
  `void`
  `setLightSourceAmbient(double value)`
  Sets the light source ambient intensity used for drawing the cushions.
  `void`
  `setLightSourceHeight(double value)`
  Sets the light source height used for drawing the cushions.
  `void`
  `setLightSourceX(double value)`
  Sets the light source X position used for drawing the cushions.
  `void`
  `setLightSourceY(double value)`
  Sets the light source Y position used for drawing the cushions.
  `void`
  `setLightSourceZ(double value)`
  Sets the light source Z position used for drawing the cushions.
  `void`
  `setMaximumHeight(double height)`
  Sets the maximum height.
  `void`
  `setProbingColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setProgressive(TreeMapView.Progressive progressive)`
  `void`
  `setRendering(Rendering rendering)`
  Defines the rendering scheme to use to draw the treemap.
  `void`
  `setSelectionColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setShowPopup(TreeMapField field, boolean show)`
  Sets whether the specified field should be displayed or no in the popup.
  `void`
  `setSize(int column)`
  Defines the field to use to represent the size.
  `void`
  `setSizeByName(String columnName)`
  Defines the field to use to represent the size.
  `void`
  `setSizeTreeMapField(TreeMapField field)`
  `void`
  `setToolTip(int... columns)`
  Defines the fields to be use for the tooltip.
  `void`
  `setTooltipBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the tooltips.
  `void`
  `setToolTipByNames(String... columns)`
  Defines the fields to be use for the tooltip.
  `void`
  `setToolTipTreeMapFields(TreeMapField<N,Column>[] fields)`

  ### Methods inherited from class com.treemap.AbstractTreeMapSettings

  `addTreeMapSettingsListener, notifySettingsChanged, removeTreeMapSettingsListener, removeTreeMapSettingsListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _model

    protected final AbstractTreeMapModel _model

  - ### groupByVariables

    protected final MutableSelection<TreeMapField> groupByVariables

  - ### sizeVariable

    protected final MutableSingleSelection<TreeMapField> sizeVariable

  - ### colorVariable

    protected final MutableSingleSelection<TreeMapField> colorVariable

  - ### labelVariable

    protected final MutableSelection<TreeMapField> labelVariable

  - ### toolTipVariable

    protected final MutableSelection<TreeMapField> toolTipVariable

  - ### backgroundVariable

    protected final MutableSingleSelection<TreeMapField> backgroundVariable

  - ### heightVariable

    protected final MutableSingleSelection<TreeMapField> heightVariable

  - ### progressive

    protected final MutableSingleSelection<TreeMapView.Progressive> progressive

  - ### depth

    protected final MutableSingleSelection<Depth> depth

  - ### rendering

    protected final MutableSingleSelection<Rendering> rendering

  - ### groupByFields

    protected MutableProperty<TreeMapField[]> groupByFields

  - ### labelsFields

    protected MutableProperty<TreeMapField[]> labelsFields

  - ### toolTipFields

    protected MutableProperty<TreeMapField[]> toolTipFields

  - ### sizeField

    protected MutableProperty<TreeMapField> sizeField

  - ### colorField

    protected MutableProperty<TreeMapField> colorField

  - ### backgroundField

    protected MutableProperty<TreeMapField> backgroundField

  - ### heightField

    protected MutableProperty<TreeMapField> heightField

  - ### _depth

    protected MutableProperty<Depth> _depth

  - ### _rendering

    protected MutableProperty<Rendering> _rendering

  - ### maximumHeightInterval

    protected final MutableBoundedInterval maximumHeightInterval

  - ### maximumHeight

    protected final MutableProperty<Double> maximumHeight

  - ### lightSourceHeightInterval

    protected final MutableBoundedInterval lightSourceHeightInterval

  - ### ightSourceHeight

    protected final MutableProperty<Double> ightSourceHeight

  - ### lightSourceAmbientInterval

    protected final MutableBoundedInterval lightSourceAmbientInterval

  - ### lightSourceAmbient

    protected final MutableProperty<Double> lightSourceAmbient

  - ### lightSourceXInterval

    protected final MutableBoundedInterval lightSourceXInterval

  - ### lightSourceX

    protected final MutableProperty<Double> lightSourceX

  - ### lightSourceYInterval

    protected final MutableBoundedInterval lightSourceYInterval

  - ### lightSourceY

    protected final MutableProperty<Double> lightSourceY

  - ### lightSourceZInterval

    protected final MutableBoundedInterval lightSourceZInterval

  - ### lightSourceZ

    protected final MutableProperty<Double> lightSourceZ

  - ### _background

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _background

  - ### _tooltipBackground

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _tooltipBackground

  - ### _probingColor

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _probingColor

  - ### _selectionColor

    protected MutableProperty<com.macrofocus.igraphics.CPColor<Color>> _selectionColor

  - ### hideSearchResults

    protected MutableProperty<Boolean> hideSearchResults

  - ### hideFilterResults

    protected MutableProperty<Boolean> hideFilterResults

- ## Constructor Details

  - ### DefaultTreeMapSettings

    public DefaultTreeMapSettings(AbstractTreeMapModel model, com.macrofocus.igraphics.CPColorFactory<Color> colorFactory, com.macrofocus.igraphics.CPFontFactory<Font> fontFactory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory)

- ## Method Details

  - ### getProperties

    public MutableProperties<String> getProperties()

  - ### getGroupByVariablesSelection

    public MutableSelection<TreeMapField> getGroupByVariablesSelection()

  - ### getSizeVariableSelection

    public MutableSingleSelection<TreeMapField> getSizeVariableSelection()

  - ### getColorVariableSelection

    public MutableSingleSelection<TreeMapField> getColorVariableSelection()

  - ### getLabelVariablesSelection

    public MutableSelection<TreeMapField> getLabelVariablesSelection()

  - ### getTooltipVariablesSelection

    public MutableSelection<TreeMapField> getTooltipVariablesSelection()

  - ### getBackgroundVariableSelection

    public MutableSingleSelection<TreeMapField> getBackgroundVariableSelection()

  - ### getHeightVariableSelection

    public MutableSingleSelection<TreeMapField> getHeightVariableSelection()

  - ### getDepthSelection

    public MutableSingleSelection<Depth> getDepthSelection()

  - ### getRenderingSelection

    public MutableSingleSelection<Rendering> getRenderingSelection()

  - ### getProgressiveSelection

    public MutableSingleSelection<TreeMapView.Progressive> getProgressiveSelection()

  - ### getHideFilterResultsSelection

    public MutableProperty<Boolean> getHideFilterResultsSelection()

  - ### getHideSearchResultsSelection

    public MutableProperty<Boolean> getHideSearchResultsSelection()

  - ### createDefaultTreeMapFieldSettings

    protected TreeMapFieldSettings<Color,Font> createDefaultTreeMapFieldSettings()

  - ### createOverridingTreeMapFieldSettings

    protected TreeMapFieldSettings<Color,Font> createOverridingTreeMapFieldSettings(TreeMapFieldSettings<Color,Font> defaultSettings, TreeMapModel model, TreeMapField field)

  - ### getDefaultFieldSettings

    public TreeMapFieldSettings<Color,Font> getDefaultFieldSettings()

  - ### getFieldSettings

    public TreeMapFieldSettings<Color,Font> getFieldSettings(TreeMapField field)

  - ### getDimensionFixed

    public Boolean getDimensionFixed()

  - ### setDimensionFixed

    public void setDimensionFixed(Boolean fixed)

  - ### getDimension

    public Dimension getDimension()
    Description copied from interface: `TreeMapSettings`
    Gets the size of the treemap.
    Returns:
      the size of the treemap.

  - ### setDimension

    public void setDimension(Dimension dimension)
    Description copied from interface: `TreeMapSettings`
    Sets the size of the treemap.
    Parameters:
      `dimension` - the size of the treemap.

  - ### getProgressive

    public TreeMapView.Progressive getProgressive()

  - ### setProgressive

    public void setProgressive(TreeMapView.Progressive progressive)

  - ### getGroupByTreeMapFields

    public TreeMapField[] getGroupByTreeMapFields()
    Gets the model used to hold the list of fields to be use for grouping.
    Returns:
      the model of fields to be use for grouping

  - ### setGroupByTreeMapFields

    public void setGroupByTreeMapFields(TreeMapField[] fields)

  - ### getSizeTreeMapField

    public TreeMapField<N,Column> getSizeTreeMapField()
    Gets the model used to hold the field used to represent the size.
    Returns:
      the model holding the field that represent the size.

  - ### getColorTreeMapField

    public TreeMapField<N,Column> getColorTreeMapField()
    Gets the model used to hold the field used to represent the color.
    Returns:
      the model holding the field that represent the color.

  - ### getLabelTreeMapFields

    public TreeMapField<N,Column>[] getLabelTreeMapFields()
    Gets the model used to hold the list of fields to be use for labeling.
    Returns:
      the model of fields to be use for labeling.

  - ### setLabelTreeMapFields

    public void setLabelTreeMapFields(TreeMapField<N,Column>[] fields)

  - ### getToolTipTreeMapFields

    public TreeMapField<N,Column>[] getToolTipTreeMapFields()
    Gets the model used to hold the list of fields to be use by the tooltip.
    Returns:
      the model of fields to be use by the tooltip.

  - ### setToolTipTreeMapFields

    public void setToolTipTreeMapFields(TreeMapField<N,Column>[] fields)

  - ### getBackgroundTreeMapField

    public TreeMapField<N,Column> getBackgroundTreeMapField()
    Gets the model used to hold the field used to display the background label.
    Returns:
      the model holding the field of the the background label.

  - ### getHeightTreeMapField

    public TreeMapField<N,Column> getHeightTreeMapField()
    Gets the model used to hold the field used to represent the height.
    Returns:
      the model holding the field that represent the height.

  - ### getMaximumHeightInterval

    public MutableBoundedInterval getMaximumHeightInterval()
    Description copied from interface: `TreeMapSettings`
    Gets the model indicating the maximum height.
    Returns:
      the model holding the maximum height.

  - ### getMaximumHeight

    public double getMaximumHeight()
    Gets the maximum height.
    Returns:
      the maximum height.

  - ### setMaximumHeight

    public void setMaximumHeight(double height)
    Sets the maximum height.
    Parameters:
      `height` - the maximum height.

  - ### isHideFilterResults

    public Boolean isHideFilterResults()
    Gets the model used to indicate whether filtered nodes should be hidden.
    Returns:
      the model indicating whether filtered nodes should be hidden.

  - ### isHideSearchResults

    public Boolean isHideSearchResults()
    Gets the model used to indicate whether nodes that do not match the search criteria should be hidden.
    Returns:
      the model indicating whether nodes that do not match the search criteria should be hidden.

  - ### setGroupBy

    public void setGroupBy(int... columns)
    Defines the fields to be use for grouping.
    Parameters:
      `columns` - the indexes of the columns to be used for grouping
    See Also:
      - `getGroupByTreeMapFields()`

  - ### setGroupByByNames

    public void setGroupByByNames(String... columnNames)
    Defines the fields to be use for grouping.
    Parameters:
      `columnNames` - the names of the columns to be used for grouping
    See Also:
      - `getGroupByTreeMapFields()`

  - ### setLabels

    public void setLabels(int... columns)
    Defines the fields to be use for labeling.
    Parameters:
      `columns` - the indexes of the columns to be used for labeling
    See Also:
      - `getLabelTreeMapFields()`

  - ### setLabelsByNames

    public void setLabelsByNames(String... columnNames)
    Defines the fields to be use for labeling.
    Parameters:
      `columnNames` - the names of the columns to be used for labeling
    See Also:
      - `getLabelTreeMapFields()`

  - ### setToolTip

    public void setToolTip(int... columns)
    Defines the fields to be use for the tooltip.
    Parameters:
      `columns` - the indexes of the columns to be used for labeling
    See Also:
      - `getLabelTreeMapFields()`

  - ### setToolTipByNames

    public void setToolTipByNames(String... columns)
    Defines the fields to be use for the tooltip.
    Parameters:
      `columns` - the names of the columns to be used for labeling
    See Also:
      - `getLabelTreeMapFields()`

  - ### getShowPopup

    public boolean getShowPopup(TreeMapField field)
    Description copied from interface: `TreeMapSettings`
    Tells whether the specified field should be shown in the popup.
    Parameters:
      `field` - the field.
    Returns:
      true if it should be displayed, false otherwise.

  - ### setShowPopup

    public void setShowPopup(TreeMapField field, boolean show)
    Description copied from interface: `TreeMapSettings`
    Sets whether the specified field should be displayed or no in the popup.
    Parameters:
      `field` - the field.
      `show` - true if it should be displayed, false otherwise.

  - ### setBackground

    public void setBackground(int column)
    Defines the field to use for background labeling.
    Parameters:
      `column` - the index of the column to be used for background labeling
    See Also:
      - `getBackgroundTreeMapField()`

  - ### setBackgroundTreeMapField

    public void setBackgroundTreeMapField(TreeMapField field)

  - ### setBackgroundByName

    public void setBackgroundByName(String columnName)
    Defines the field to use for background labeling.
    Parameters:
      `columnName` - the name of the column to be used for background labeling
    See Also:
      - `getBackgroundTreeMapField()`

  - ### setSize

    public void setSize(int column)
    Defines the field to use to represent the size.
    Parameters:
      `column` - the index of the column to be used for representing the size
    See Also:
      - `getSizeTreeMapField()`

  - ### setSizeTreeMapField

    public void setSizeTreeMapField(TreeMapField field)

  - ### setSizeByName

    public void setSizeByName(String columnName)
    Defines the field to use to represent the size.
    Parameters:
      `columnName` - the name of the column to be used for representing the size
    See Also:
      - `getSizeTreeMapField()`

  - ### setColor

    public void setColor(int column)
    Defines the field to use for coloring.
    Parameters:
      `column` - the index of the column to be used for coloring
    See Also:
      - `getColorTreeMapField()`

  - ### setColorByName

    public void setColorByName(String columnName)
    Defines the field to use for coloring.
    Parameters:
      `columnName` - the name of the column to be used for coloring
    See Also:
      - `getColorTreeMapField()`

  - ### setColorTreeMapField

    public void setColorTreeMapField(TreeMapField field)

  - ### setHeight

    public void setHeight(int column)
    Defines the field to use for mapping the height.
    Parameters:
      `column` - the index of the column to be used for mapping the height
    See Also:
      - `getHeightTreeMapField()`

  - ### setHeightByName

    public void setHeightByName(String columnName)
    Defines the field to use for mapping the height.
    Parameters:
      `columnName` - the name of the column to be used for mapping the height
    See Also:
      - `getHeightTreeMapField()`

  - ### setHeightTreeMapField

    public void setHeightTreeMapField(TreeMapField field)

  - ### getDepth

    public Depth getDepth()
    Returns the depth to use to lay out the treemap.
    Returns:
      the depth to use
    See Also:
      - `getDepth()`
      - `DepthFactory`

  - ### setDepth

    public void setDepth(Depth depth)
    Defines the depth to use to lay out the treemap.
    Parameters:
      `depth` - the depth to use
    See Also:
      - `getDepth()`
      - `DepthFactory`

  - ### setRendering

    public void setRendering(Rendering rendering)
    Defines the rendering scheme to use to draw the treemap.
    Parameters:
      `rendering` - the rendering scheme to use
    See Also:
      - `getRendering()`
      - `RenderingFactory`

  - ### setHideFilterResults

    public void setHideFilterResults(Boolean hideFilterResults)

  - ### setHideSearchResults

    public void setHideSearchResults(Boolean hideSearchResults)

  - ### getRendering

    public Rendering getRendering()
    Returns the rendering scheme to use to draw the treemap.
    Returns:
      the rendering scheme to use
    See Also:
      - `getRendering()`
      - `RenderingFactory`

  - ### getLightSourceHeight

    public double getLightSourceHeight()
    Returns the light source height used for drawing the cushions.
    Returns:
      the height
    See Also:
      - `getLightSourceHeight()`

  - ### setLightSourceHeight

    public void setLightSourceHeight(double value)
    Sets the light source height used for drawing the cushions.
    Parameters:
      `value` - the height
    See Also:
      - `getLightSourceHeight()`

  - ### getLightSourceAmbient

    public double getLightSourceAmbient()
    Returns the light source ambient intensity used for drawing the cushions.
    Returns:
      the ambient intensity
    See Also:
      - `getLightSourceAmbient()`

  - ### setLightSourceAmbient

    public void setLightSourceAmbient(double value)
    Sets the light source ambient intensity used for drawing the cushions.
    Parameters:
      `value` - the ambient intensity
    See Also:
      - `getLightSourceAmbient()`

  - ### getLightSourceX

    public double getLightSourceX()
    Returns the light source X position used for drawing the cushions.
    Returns:
      the X position
    See Also:
      - `getLightSourceX()`

  - ### setLightSourceX

    public void setLightSourceX(double value)
    Sets the light source X position used for drawing the cushions.
    Parameters:
      `value` - the X position
    See Also:
      - `getLightSourceX()`

  - ### getLightSourceY

    public double getLightSourceY()
    Returns the light source Y position used for drawing the cushions.
    Returns:
      the Y position
    See Also:
      - `getLightSourceY()`

  - ### setLightSourceY

    public void setLightSourceY(double value)
    Sets the light source Y position used for drawing the cushions.
    Parameters:
      `value` - the Y position
    See Also:
      - `getLightSourceY()`

  - ### getLightSourceZ

    public double getLightSourceZ()
    Returns the light source Z position used for drawing the cushions.
    Returns:
      the Z position
    See Also:
      - `getLightSourceZ()`

  - ### setLightSourceZ

    public void setLightSourceZ(double value)
    Sets the light source Z position used for drawing the cushions.
    Parameters:
      `value` - the Z position
    See Also:
      - `getLightSourceZ()`

  - ### getBackgroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getBackgroundProperty()
    Description copied from interface: `TreeMapSettings`
    Returns the background color to use for drawing the treemap.
    Returns:
      the color to be used

  - ### getBackground

    public com.macrofocus.igraphics.CPColor<Color> getBackground()
    Returns the background color to use for drawing the treemap.
    Returns:
      the color to be used

  - ### setBackground

    public void setBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the treemap.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getBackground()`

  - ### getTooltipBackgroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getTooltipBackgroundProperty()
    Description copied from interface: `TreeMapSettings`
    Returns the background color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `getTooltipBackground()`

  - ### getTooltipBackground

    public com.macrofocus.igraphics.CPColor<Color> getTooltipBackground()
    Returns the background color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `getTooltipBackground()`

  - ### setTooltipBackground

    public void setTooltipBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the tooltips.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getTooltipBackground()`

  - ### getProbingColorProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getProbingColorProperty()
    Description copied from interface: `TreeMapSettings`
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `getProbingColor()`

  - ### getProbingColor

    public com.macrofocus.igraphics.CPColor<Color> getProbingColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `getProbingColor()`

  - ### setProbingColor

    public void setProbingColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getProbingColor()`

  - ### getSelectionColorProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getSelectionColorProperty()
    Description copied from interface: `TreeMapSettings`
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `getSelectionColor()`

  - ### getSelectionColor

    public com.macrofocus.igraphics.CPColor<Color> getSelectionColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `getSelectionColor()`

  - ### setSelectionColor

    public void setSelectionColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getSelectionColor()`

  - ### getValue

    public Object getValue(String key)
    Description copied from interface: `TreeMapSettings`
    Gets the value of the specified property.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### getLightSourceHeightInterval

    public MutableBoundedInterval getLightSourceHeightInterval()

  - ### getLightSourceAmbientInterval

    public MutableBoundedInterval getLightSourceAmbientInterval()

  - ### getLightSourceXInterval

    public MutableBoundedInterval getLightSourceXInterval()

  - ### getLightSourceYInterval

    public MutableBoundedInterval getLightSourceYInterval()

  - ### getLightSourceZInterval

    public MutableBoundedInterval getLightSourceZInterval()

  - ### resetToDefaults

    public void resetToDefaults()

  - ### save

    public void save(com.macrofocus.molap.dataframe.DataFrame dataFrame, ElementFactory elementFactory, Element root)